Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 631902 - net-firewall/conntrack-tools-1.4.4 : rpc.c:29:25: fatal error: rpc/rpc_msg.h: No such file or directory
Summary: net-firewall/conntrack-tools-1.4.4 : rpc.c:29:25: fatal error: rpc/rpc_msg.h:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2017-09-24 08:01 UTC by Toralf Förster
Modified: 2018-04-22 20:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.48 KB, text/plain)
2017-09-24 08:01 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,505.52 KB, text/plain)
2017-09-24 08:01 UTC, Toralf Förster
Details
environment (environment,120.40 KB, text/plain)
2017-09-24 08:01 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,16.93 KB, application/x-bzip)
2017-09-24 08:01 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,20.90 KB, application/x-bzip)
2017-09-24 08:01 UTC, Toralf Förster
Details
net-firewall:conntrack-tools-1.4.4:20170924-015721.log (net-firewall:conntrack-tools-1.4.4:20170924-015721.log,48.98 KB, text/plain)
2017-09-24 08:01 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,35.22 KB, application/x-bzip)
2017-09-24 08:01 UTC, Toralf Förster
Details
patch, use "git am" to apply (0001-net-firewall-conntrack-tools-Add-support-for-libtirp.patch,4.95 KB, patch)
2017-09-24 20:38 UTC, Andreas K. Hüttel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-09-24 08:01:28 UTC
libtool: compile:  x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"conntrack-tools\" -DPACKAGE_TARNAME=\"conntrack-tools\" -DPACKAGE_VERSION=\"1.4.4\" "-DPACKAGE_STRING=\"conntrack-tools 1.4.4\"" -DPACKAGE_BUGREPORT=\"pablo@netfilter.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"conntrack-tools\" -DVERSION=\"1.4.4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DYYTEXT_POINTER=1 -DBUILD_CTHELPER=1 -DHAVE_LINUX_CAPABILITY_H=1 -DHAVE_ARPA_INET_H=1 -DHAVE_INET_PTON=1 -DHAVE_INET_PTON_IPV6=1 -I. -I../../include -std=gnu99 -W -Wall -Wmissing-prototypes -Wwrite-strings -Wfloat-equal -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wmissing-declarations -Wredundant-decls -Wnested-externs -Winline -Wstrict-prototypes -Wundef -Wno-unused-parameter -O2 -pipe -march=native -Wall -DCONNTRACKD_LIB_DIR=\"/usr/lib64/conntrack-tools/\" -c rpc.c  -fPIC -DPIC -o .libs/ct_helper_rpc_la-rpc.o
rpc.c:29:25: fatal error: rpc/rpc_msg.h: No such file or directory
 #include <rpc/rpc_msg.h>
                         ^
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop_20170905-225247

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   pypy (fallback)
  [6]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 7.2.6.11 [icedtea-7]
2)	IcedTea JDK 7.2.6.11 [icedtea-bin-7]
3)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-7  system-vm
  [2]   icedtea-bin-7 
  [3]   icedtea-bin-8 

emerge -qpv net-firewall/conntrack-tools
[ebuild  N    ] net-firewall/conntrack-tools-1.4.4  USE="-doc"
Comment 1 Toralf Förster gentoo-dev 2017-09-24 08:01:31 UTC
Created attachment 496244 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-24 08:01:35 UTC
Created attachment 496246 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-09-24 08:01:38 UTC
Created attachment 496248 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-09-24 08:01:41 UTC
Created attachment 496250 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-09-24 08:01:44 UTC
Created attachment 496252 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-09-24 08:01:48 UTC
Created attachment 496254 [details]
net-firewall:conntrack-tools-1.4.4:20170924-015721.log
Comment 7 Toralf Förster gentoo-dev 2017-09-24 08:01:51 UTC
Created attachment 496256 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2017-09-24 20:38:34 UTC
Created attachment 496324 [details, diff]
patch, use "git am" to apply

Patch adding a new revbump, with the needed changes. Please review and hopefully apply.
Comment 9 Larry the Git Cow gentoo-dev 2017-11-01 22:06:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d94fc3980f778d1d88ec93f83b0b4ebb41a3fe14

commit d94fc3980f778d1d88ec93f83b0b4ebb41a3fe14
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2017-09-24 20:16:18 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2017-11-01 22:06:20 +0000

    net-firewall/conntrack-tools: Add support for libtirpc, bug 631902
    
    Closes: https://bugs.gentoo.org/631902
    Package-Manager: Portage-2.3.10, Repoman-2.3.3

 .../conntrack-tools-1.4.4-r1.ebuild                | 94 ++++++++++++++++++++++
 .../files/conntrack-tools-1.4.4-rpc.patch          | 43 ++++++++++
 net-firewall/conntrack-tools/metadata.xml          |  3 +
 3 files changed, 140 insertions(+)